MARTe2-core - User story #308
State machine

29.09.2016 10:48 - André Neto

Status: Closed Start date: 29.09.2016
Priority: Normal Due date:
Assignee: Riccardo Vitelli % Done: 0%
Category: Estimated time: 0.00 hour
Target version: 0.12 Spent time: 0.00 hour
Git branch (link): SVN commit

(link/?p=rev):
Git merge to develop
(link):
Description

Port the old BaseLib2 StateMachine to MARTe2.

Source code files modified

Architecture & design review

Date of the review: 29/09/2016

Person who did the review: Andre' Neto

Version of architecture & design document: N/A. As per the original MARTe implementation.
Result of review: N/A

List of non-conformities: N/A

Code and documentation review

Date of the review: 25/10/2016
Person who did the review: R. Vitelli
Result of review: PASS

List of non-conformities:

Unrelated linting errors to be fixed in the next sprint:

./Source/Core/Scheduler/L3Services/EmbeddedThreadIl.cpp:216:35: Warning 578: Declaration of symbol
'threadId' hides symbol 'MARTe::EmbeddedThreadl::threadId' (line 232, file ./Source/Core/Scheduler
/L3Services/EmbeddedThreadI.h, module ./Source/Core/Scheduler/L3Services/EmbeddedThread.cpp) [MISR
A C++ Rule 2-10-2]

./Source/Core/Scheduler/L3Services/EmbeddedThreadI.h:232:1: Info 830: Location cited in prior mess
age

./Source/Core/Scheduler/L4Messages/QueuedMessagel.cpp:47:37: Note 9153: viable set contains both f
unction 'MARTe::SingleThreadService::SingleThreadService (line 65, file ./Source/Core/Scheduler/L3
Services/SingleThreadService.h, module ./Source/Core/Scheduler/L3Services/MultiClientEmbeddedThrea
d.cpp)' and template 'MARTe::SingleThreadService::SingleThreadService (line 148, file ./Source/Cor
e/Scheduler/L3Services/SingleThreadService.h)' [MISRA C++ Rule 14-8-2]
./Source/Core/Scheduler/L3Services/SingleThreadService.h:65:1: Info 830: Location cited in prior m
essage

Unit test review
Date of the review: 25/10/2016

Person who did the review: R. Vitelli
Result of coverage tests review: PASS
Result of functional tests review: PASS
Result of review: PASS

List of non-conformities:

Two tests fail, both unrelated to this user story. Both will be fixed in the next sprint.

MultiThreadServiceGTest.TestStart_Restart
IOBufferGTest.TestPrintStructuredDatalnterface

History

#1 - 24.10.2016 09:48 - André Neto
- Status changed from Code: Impl to Code: Rev

#2 - 24.10.2016 09:49 - André Neto

- Assignee changed from André Neto to Riccardo Vitelli

#3 - 25.10.2016 15:58 - Riccardo Vitelli

- Description updated

#4 - 25.10.2016 15:58 - Riccardo Vitelli

- Status changed from Code: Rev to Closed
